# Accessibility::BoundingBox Struct Reference

`import "Accessibility_Accessible.idl";`

## Data Fields

long | x
long | y
long | width
long | height

## Detailed Description

Used by Component and Text, a struct defining a bounding rectangle. The relevant coordinate system is determined by the context of the API call which returned or receives the value.

## Field Documentation

long Accessibility::BoundingBox::height

the vertical extent of the bounding box, that is, the difference between the maximum and minimum y coordinate bounds.

long Accessibility::BoundingBox::width

the horizontal extent of the bounding box, that is, the difference between the maximum and minimum x coordinate bounds.

long Accessibility::BoundingBox::x

the value corresponding to the minimum or leftmost x position.

long Accessibility::BoundingBox::y

the value corresponding to the minimum y value.

The documentation for this struct was generated from the following file:

- /home/gnome-dev/src/at-spi/idl/Accessibility_Accessible.idl